import logging
import sys


# Basic logger that prints logs to console and file "training.log".
def get_logger(name="AIR_Logger", level=logging.INFO):
    logger = logging.getLogger(name)
    logger.setLevel(level)

    # Avoid adding duplicate handlers if get_logger is called multiple times
    if not logger.handlers:
        ch = logging.StreamHandler(sys.stdout)
        ch.setLevel(level)
        formatter = logging.Formatter("[%(asctime)s] [%(name)s] [%(levelname)s] %(message)s",
            datefmt="%Y-%m-%d %H:%M:%S")
        ch.setFormatter(formatter)
        logger.addHandler(ch)

        fh = logging.FileHandler(f"{name}.log")
        fh.setFormatter(formatter)
        logger.addHandler(fh)

    return logger
